<?php

use Illuminate\Support\HtmlString;
use Illuminate\Support\Collection;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Request;

if ( !function_exists('get_query_array')) {
    /**
     * Retourne un tableau avec les paramètres de l'url courante
     * @return array Un tableau contenant les paramètres
     */
    function get_query_array()
    {
        parse_str(Request::getQueryString(), $array);

        return $array;
    }
}

if (! function_exists('str_current_query')) {
    /**
     * Récupère l'url courante retourne ses paramètres non vide
     *
     * @return string
     */
    function str_current_query() : string
    {
        $queries = array_filter(get_query_array());
        return http_build_query($queries);
    }
}

if (! function_exists('current_route_belongs')) {
    /**
     * Vérifie si l'url courante appartient (enfant compris) à une route
     * @param string    La route à tester
     * @return string
     */
    function current_route_belongs($route_name) : string
    {
        $route = route($route_name, [], false);
        $uri = trim($route, '/');
        return Request::is($uri . '*');
    }
}